<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Иерархия классов</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Иерархия классов</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">
<p><a href="hierarchy.html">см. текстовый вид.</a></p>
</div><table border="0" cellspacing="10" cellpadding="0">
<tr><td><img src="inherit_graph_0.png" border="0" usemap="#CalendarDialog" alt=""/>
<map name="CalendarDialog" id="CalendarDialog">
<area shape="rect" title=" " alt="" coords="5,56,69,83"/>
<area shape="rect" href="classCalendarDialog.html" title="Диалог, в котором можно выбрать дату" alt="" coords="117,5,240,32"/>
<area shape="rect" href="classErrorDialog.html" title="Диалог ошибки (или же нажатия сочетания клавиш)" alt="" coords="131,56,226,83"/>
<area shape="rect" href="classTimeDialog.html" title="Диалог для выбора времени" alt="" coords="130,107,227,133"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_1.png" border="0" usemap="#CharactersTable" alt=""/>
<map name="CharactersTable" id="CharactersTable">
<area shape="rect" title=" " alt="" coords="5,132,92,159"/>
<area shape="rect" href="classCharactersTable.html" title="Прямоугольник, внутри которого грид с возможностью выбора персонажа" alt="" coords="161,5,288,32"/>
<area shape="rect" href="classCustomSystemPanel.html" title="Прямоугольнк &#45; верхняя панель приложения" alt="" coords="147,56,303,83"/>
<area shape="rect" href="classGridCommandListItem.html" title="Полоска текста с закругленным фоном" alt="" coords="140,107,309,133"/>
<area shape="rect" href="classGridCommandTable.html" title="Грид с командами" alt="" coords="149,157,300,184"/>
<area shape="rect" href="classGuideRectangle.html" title="Прямоугольник с текстом внутри, используется для ознакомления пользователя с программой" alt="" coords="162,208,287,235"/>
<area shape="rect" href="classStylishButton.html" title="Пользовательская кнопка" alt="" coords="170,259,279,285"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_2.png" border="0" usemap="#ColorGrid" alt=""/>
<map name="ColorGrid" id="ColorGrid">
<area shape="rect" title=" " alt="" coords="5,5,87,32"/>
<area shape="rect" href="classColorGrid.html" title="Грид для выбора цвета*." alt="" coords="135,5,217,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_3.png" border="0" usemap="#CreateCategory" alt=""/>
<map name="CreateCategory" id="CreateCategory">
<area shape="rect" title=" " alt="" coords="5,56,100,83"/>
<area shape="rect" href="classCreateCategory.html" title="Грид со всеми возможными категориями для добавления в заметку" alt="" coords="149,5,273,32"/>
<area shape="rect" href="classGridCategory.html" title="Грид для отображения категорий каждой заметки" alt="" coords="157,56,265,83"/>
<area shape="rect" href="classSearchCategory.html" title="Грид категорий (правая панель и полоска под строкой поиска)" alt="" coords="148,107,273,133"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_4.png" border="0" usemap="#Database" alt=""/>
<map name="Database" id="Database">
<area shape="rect" title=" " alt="" coords="5,81,80,108"/>
<area shape="rect" href="classDatabase.html" title="Класс для связи приложения и БД" alt="" coords="157,5,241,32"/>
<area shape="rect" href="classQxtGlobalShortcut.html" title="The QxtGlobalShortcut class provides a global shortcut aka &quot;hotkey&quot;." alt="" coords="128,56,269,83"/>
<area shape="rect" href="classSettings.html" title="Класс для хранения, загрузки и сохранения настроек" alt="" coords="161,107,236,133"/>
<area shape="rect" href="classSpeechToText.html" title="Класс для реализации конвертации звуковой информации в текстовую" alt="" coords="143,157,254,184"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_5.png" border="0" usemap="#DialogWindow" alt=""/>
<map name="DialogWindow" id="DialogWindow">
<area shape="rect" title=" " alt="" coords="5,107,80,133"/>
<area shape="rect" href="classDialogWindow.html" title="Диалог в форме прямоугольника с загнутым кончиком для имитации того, что персонаж &quot;общается&quot;." alt="" coords="141,5,257,32"/>
<area shape="rect" href="classMain.html" title="Безрамочное окно &#45; изображение, имеющие контекстное меню и диалоги для взаимодействия с пользователем" alt="" coords="171,56,226,83"/>
<area shape="rect" href="classMainContextMenu.html" title="Конкекстное меню в виде окна" alt="" coords="128,107,269,133"/>
<area shape="rect" href="classRemindersDialog.html" title="Окно для вывода уведомлений" alt="" coords="131,157,266,184"/>
<area shape="rect" href="classStartWindow.html" title="Приветственное окно" alt="" coords="146,208,251,235"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_6.png" border="0" usemap="#GeneralWindow" alt=""/>
<map name="GeneralWindow" id="GeneralWindow">
<area shape="rect" title=" " alt="" coords="5,5,152,32"/>
<area shape="rect" href="classGeneralWindow.html" title="Окно, имеющее начальную страницу и меню с возможностью загрузки страниц" alt="" coords="200,5,325,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_7.png" border="0" usemap="#ImageSelectionMenu" alt=""/>
<map name="ImageSelectionMenu" id="ImageSelectionMenu">
<area shape="rect" title=" " alt="" coords="5,81,59,108"/>
<area shape="rect" href="classImageSelectionMenu.html" title="Страница, на которой можно выбрать/удалить/добавить персонажа" alt="" coords="107,5,265,32"/>
<area shape="rect" href="classNodesWindow.html" title="Страница для работы с заметками" alt="" coords="129,56,243,83"/>
<area shape="rect" href="classReminderWindow.html" title="Страница напоминаний" alt="" coords="117,107,255,133"/>
<area shape="rect" href="classSettingsWindow.html" title="Страница настроек" alt="" coords="123,157,249,184"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_8.png" border="0" usemap="#Nodes" alt=""/>
<map name="Nodes" id="Nodes">
<area shape="rect" title=" " alt="" coords="5,81,57,108"/>
<area shape="rect" href="classNodes.html" title="Грид с заметками" alt="" coords="121,5,184,32"/>
<area shape="rect" href="classResizeArea.html" title="Группа областей мыши для изменения положения и размера окна" alt="" coords="105,56,200,83"/>
<area shape="rect" href="classStyle.html" title="Стили проекта" alt="" coords="125,107,180,133"/>
<area shape="rect" href="classTheme.html" title="Параметры цвета в проекте" alt="" coords="119,157,186,184"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_9.png" border="0" usemap="#QCFType_3_01CFStringRef_01_4" alt=""/>
<map name="QCFType_3_01CFStringRef_01_4" id="QCFType_3_01CFStringRef_01_4">
<area shape="rect" href="classQCFType.html" title=" " alt="" coords="5,5,189,32"/>
<area shape="rect" href="classQCFString.html" title=" " alt="" coords="237,5,324,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_10.png" border="0" usemap="#QCFType_3_01T_01_4" alt=""/>
<map name="QCFType_3_01T_01_4" id="QCFType_3_01T_01_4">
<area shape="rect" href="classQCFType.html" title=" " alt="" coords="5,5,121,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_11.png" border="0" usemap="#QxtPrivate_3_01PUB_01_4" alt=""/>
<map name="QxtPrivate_3_01PUB_01_4" id="QxtPrivate_3_01PUB_01_4">
<area shape="rect" href="classQxtPrivate.html" title=" " alt="" coords="5,5,153,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_12.png" border="0" usemap="#QxtPrivate_3_01QxtGlobalShortcut_01_4" alt=""/>
<map name="QxtPrivate_3_01QxtGlobalShortcut_01_4" id="QxtPrivate_3_01QxtGlobalShortcut_01_4">
<area shape="rect" title=" " alt="" coords="26,5,225,32"/>
<area shape="rect" href="classQxtGlobalShortcutPrivate.html" title=" " alt="" coords="293,31,480,57"/>
<area shape="rect" href="classQxtPrivate.html" title=" " alt="" coords="5,56,245,83"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_13.png" border="0" usemap="#QxtPrivateInterface_3_01PUB_00_01PVT_01_4" alt=""/>
<map name="QxtPrivateInterface_3_01PUB_00_01PVT_01_4" id="QxtPrivateInterface_3_01PUB_00_01PVT_01_4">
<area shape="rect" href="classQxtPrivateInterface.html" title=" " alt="" coords="5,5,155,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_14.png" border="0" usemap="#QxtWindowSystem" alt=""/>
<map name="QxtWindowSystem" id="QxtWindowSystem">
<area shape="rect" href="classQxtWindowSystem.html" title="The QxtWindowSystem class provides means for accessing native windows." alt="" coords="5,5,152,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_15.png" border="0" usemap="#ReminderDateTable" alt=""/>
<map name="ReminderDateTable" id="ReminderDateTable">
<area shape="rect" title=" " alt="" coords="5,31,83,57"/>
<area shape="rect" href="classReminderDateTable.html" title="Грид с отображения возможных дат напоминаний" alt="" coords="131,5,281,32"/>
<area shape="rect" href="classReminderTable.html" title="Таблица напоминаний" alt="" coords="147,56,265,83"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_16.png" border="0" usemap="#X11Info" alt=""/>
<map name="X11Info" id="X11Info">
<area shape="rect" href="classX11Info.html" title=" " alt="" coords="5,5,77,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_17.png" border="0" usemap="#XScreenSaverInfo" alt=""/>
<map name="XScreenSaverInfo" id="XScreenSaverInfo">
<area shape="rect" href="structXScreenSaverInfo.html" title=" " alt="" coords="5,5,143,32"/>
</map>
</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
